Subject: ANNOUNCE: MailFolder-0.05
From: [email-masked] (Kevin Johnson)
Date: 18 Mar 1997 03:27:52 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

The newest version (0.05) of the Mail::Folder module has been posted to
CPAN under my author id (KJOHNSON) and name (Kevin_Johnson).

Mail::Folder provides a perl module interface to email folders that is
independent from the physical folders.  The actual work on folders is
done with folder interface modules lying 'beneath' the Mail::Folder
interface.

The module is in still alpha release.  Think twice about using it to
modify folders that you consider important (at the very least make
backup copies :-).  That being said, I'll mention that I use it as the
sole interface to my email at home.

The method interface is currently in an evaluation phase.  Before it
goes to beta, I expect to make method interfaces changes that won't be
backwards compatible.

The current version has been tested against 5.003_24 or newer.

Here are some of the more notable new features and unmalfeatures added
since the last release:
	+ Big improvements in the maildir (ala qmail) folder interface.
	  Sorry, the first whack at it was a botch.
	+ Added get_mime_header and get_mime_message methods.
	+ The beginnings of an NNTP folder interface.
	+ An MUA based on pTk in the examples directory.
	+ Various bug fixes, cleanups, and optimizations.

Refer to the provided README file for additional information.

I am keenly interested in feedback from folks doing interesting stuff
with the package.

Please report any bugs/suggestions to <[email-masked]>.

Copyright (c) 1996-1997 Kevin Johnson <[email-masked]>

All rights reserved.  This program is free software; you can
redistribute it and/or modify it under the same terms as Perl itself.

-- 
thx,
[email-masked]   http://www.pobox.com/~kjj/